{% extends 'base.html.twig' %}

{% block title %}Livre{% endblock %}

{% block body %}
    <h1>Livre</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ livre.id }}</td>
            </tr>
            <tr>
                <th>Titre</th>
                <td>{{ livre.titre }}</td>
            </tr>
            <tr>
                <th>NbPages</th>
                <td>{{ livre.nbPages }}</td>
            </tr>
            <tr>
                <th>DateEdition</th>
                <td>{{ livre.dateEdition ? livre.dateEdition|date('Y-m-d') : '' }}</td>
            </tr>
            <tr>
                <th>NbExemplaires</th>
                <td>{{ livre.nbExemplaires }}</td>
            </tr>
            <tr>
                <th>Prix</th>
                <td>{{ livre.prix }}</td>
            </tr>
            <tr>
                <th>Isbn</th>
                <td>{{ livre.isbn }}</td>
            </tr>
            <tr>
                <th>Auteurs</th>
                <td>
                    {% for a in livre.auteurs %}
                        {{ a.prenom }} {{ a.nom }} <br>
                    {% else %}
                        <span style="color: red"> Pas de résultat! </span>
                    {% endfor %}
                </td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('livre_index') }}">back to list</a>

    <a href="{{ path('livre_edit', {'id': livre.id}) }}">edit</a>

    {{ include('livre/_delete_form.html.twig') }}
{% endblock %}
